{% extends 'base.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  <link rel="stylesheet" href="{{asset('css/orariStyle.css')}}" />
{% endblock %}

{% block content %}

  <div class="ui raised segment">
    <div class="ui breadcrumb" style="margin: 2%">
      <a href="{{path('homepage')}}"class="section">Home</a>
      <i class="right angle icon divider"></i>
      <a href="{{path('user_ristoranti_lista')}}" class="section">Ristoranti</a>
      <i class="right angle icon divider"></i>
      <div class="active section">Prenotazioni</div>
    </div>
  </div>

  <h2 class="ui header fly" style="display: none">
    <i class="checked calendar icon"></i>
    <div class="content">
      Le mie prenotazioni
    </div>
  </h2>

  <div class="ui divider"></div>

  <div class="ui relaxed divided list">
    {% for prenotazione in cliente.prenotazioni|sort|reverse %}
      <div class="item" style="padding-top: 1.5%">
        {% if prenotazione.data < date("now") %}
          <div class="ui red label" style="float: right; cursor: default; display: inline">
            <i class="clock icon"></i> Scaduta
          </div>
        {% endif %}
        <i class="large food middle aligned icon"></i>
        <div class="content">
          <a href="{{path('user_ristorante_dettagli', { 'id': prenotazione.tavolo.ristorante.id })}}" class="header">{{prenotazione.tavolo.ristorante.nome}}</a>
          <div class="description" style="display: inline">
            Hai prenotato un tavolo per <strong>{{prenotazione.persone}} persone </strong>  in data <strong>{{prenotazione.data|date("d/m/Y")}}</strong> alle ore <strong>{{prenotazione.orario|date("H:i")}}</strong><br/>
            Ti è stato assegnato il tavolo #<strong>{{prenotazione.tavolo.numero}}</strong>.
          </div>
        </div>
      </div>
    {% endfor %}
  </div>

  {% block javascripts %}

  {% endblock %}

{% endblock %}
